{
  "name": "@minmon/db",
  "type": "module",
  "exports": {
    ".": {
      "default": "./src/index.ts"
    },
    "./*": {
      "default": "./src/*.ts"
    }
  },
  "scripts": {
    "db:push": "drizzle-kit push",
    "db:generate": "drizzle-kit generate",
    "db:studio": "drizzle-kit studio",
    "db:migrate": "drizzle-kit migrate",
    "db:seed": "bun --env-file=../../apps/server/.env run ./src/seed.ts",
    "db:seed:if-empty": "bun --env-file=../../apps/server/.env run ./src/seed-if-empty.ts",
    "db:start": "docker compose up -d",
    "db:watch": "docker compose up",
    "db:stop": "docker compose stop",
    "db:down": "docker compose down"
  },
  "dependencies": {
    "better-auth": "catalog:",
    "@minmon/env": "workspace:*",
    "dotenv": "catalog:",
    "drizzle-orm": "catalog:",
    "pg": "^8.17.1",
    "zod": "catalog:"
  },
  "devDependencies": {
    "@minmon/config": "workspace:*",
    "@types/pg": "^8.16.0",
    "drizzle-kit": "^0.31.8",
    "typescript": "catalog:"
  }
}
